Subject: bug#18716: 24.3; dired-omit-extensions's default value omits COPYING.LIB

From: Stefan Monnier <[email-masked]>
Date: Wed, 15 Oct 2014 18:42:06 -0400

> Although no-one has yet answered my question why Emacs takes these patterns
> to be case-insensitive even on case-sensitive filing systems.

I don't actually know.

Maybe because the existence of case-insensitive filesystems cause the
existence of files with "weird" extensions like ".JPG" and it's easier
to just say "match case-insensitively" than to handle the known cases
where case is sometimes "messed up".

At least, that's the reason for the existence of auto-mode-case-fold.

        Stefan